HTMLStripCharFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.charfilter.HTMLStripCharFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.charfilter
Class HTMLStripCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharStream
              org.apache.lucene.analysis.CharFilter
                  org.apache.lucene.analysis.BaseCharFilter
                      org.apache.lucene.analysis.charfilter.HTMLStripCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public final class HTMLStripCharFilter

extends BaseCharFilter

A CharFilter that wraps another Reader and attempts to strip out HTML constructs.

Field Summary

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`HTMLStripCharFilter(CharStream source)`
`HTMLStripCharFilter(CharStream source, Set<String> escapedTags)`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(char[] cbuf, int off, int len)`

Methods inherited from class org.apache.lucene.analysis.BaseCharFilter
`addOffCorrectMap, correct, getLastCumulativeDiff`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`correctOffset, mark, markSupported, reset`

Methods inherited from class java.io.Reader
`read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLStripCharFilter

    public HTMLStripCharFilter(CharStream source)

Parameters:
  `source` -

### HTMLStripCharFilter

    public HTMLStripCharFilter(CharStream source,
                               Set<String> escapedTags)

Parameters:
  `source` -
  `escapedTags` - Tags in this set (both start and end tags) will not be filtered out.

Method Detail

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `CharFilter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `CharFilter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD